Subject: [bitcoin-dev] Fee estimation requirements

From: Dave Scotese <[email-masked]>
Date: Mon, 5 Jul 2021 09:39:40 -0700

At https://github.com/bitcoin/bitcoin/issues/22404#issuecomment-874168305
no explanation is given for a peculiar rule about estimating fees, that "you
have to wait around for a couple of blocks *after* being synced before fee
estimation will work."  The rule is true, but it needn't be true, and the
software would be more useful if it were not true.  If it does seem
impossible to break this rule, perhaps some brainstorming is in order.  I
estimate fees quite often on my own, although I am trusting the block
explorers in their reporting of the fees for the most recent blocks.  The
software doesn't need to trust anything once it has been synced.

If this is simply a matter of priorities, it would be useful to point that
out.

Dave.